import { Field } from '@kano/kwc-blockly/blockly.js';
import '@kano/styles/color.js';
import '@kano/styles/typography.js';
import '../components/kc-sample-picker.js';
interface IItemData {
    id: string;
    label: string;
    samples: {
        id: string;
        src: string;
        label: string;
    }[];
}
export declare class FieldSample extends Field {
    private domNode;
    private items;
    constructor(value: string, items: IItemData[], optValidator?: () => void);
    showEditor_(): void;
    position(): void;
    static widgetDispose_(): void;
}
export {};
